Bug 241830 - Xdmx clients do not display pictures
Xdmx clients do not display pictures
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Adam Jackson
Depends On:
  Show dependency treegraph
Reported: 2007-05-30 18:16 EDT by Lubomir Kundrak
Modified: 2008-04-08 04:12 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-08 04:12:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Screenshot of Xdmx not displaying pictures properly (15.15 KB, image/png)
2007-05-30 18:16 EDT, Lubomir Kundrak
no flags Details

  None (edit)
Description Lubomir Kundrak 2007-05-30 18:16:47 EDT
Description of problem:

For some reason X clients connecting to a Xdmx server do not display images.

Version-Release number of selected component (if applicable):


Steps to Reproduce:
1. X :1 -ac
2. Xdmx :2 -ac -display :1
3. DISPLAY=:2 gnome-terminal
Actual results:

You can see in the attached screenshot that pictures that should have been
there are not visible. Additionaly the Xdmx server spits out lot of error
messages like this one:

(**) dmx: dmxErrorHandler: BadName (named color or font does not exist)
(**) dmx:                  Major opcode: 155 (RENDER)
(**) dmx:                  Minor opcode: 30 (RenderSetPictureFilter)
(**) dmx:                  ResourceID:   0x200e47
(**) dmx:                  Failed serial number:  22698
(**) dmx:                  Current serial number: 22795

Additional info:

I have reproduced this on XFree86 4.5.0 running on NetBSD with neomagic
driver and xorg-x11-server-Xorg-1.1.1-47.8.fc6 with sis driver. The problem
was not reproducible with Xnest.
Comment 1 Lubomir Kundrak 2007-05-30 18:16:47 EDT
Created attachment 155752 [details]
Screenshot of Xdmx not displaying pictures properly
Comment 2 Matěj Cepl 2007-05-30 18:49:15 EDT
Could you reproduce this with FC7?
Comment 3 Adam Jackson 2007-05-30 18:50:50 EDT
Well, yes, since Xnest doesn't advertise the Render extension, gnome will use
the non-Render code path and never hit this problem.

This is almost certainly a DMX bug.
Comment 4 Lubomir Kundrak 2007-05-31 03:08:21 EDT
ajax: exactly. With Xdmx -norender things look right
mcepl: no idea, did not have opportiunity to try. Will report once I try.
Comment 5 Adam Jackson 2007-07-27 18:19:52 EDT
Moving to devel since this is probably still an issue there.
Comment 6 Lubomir Kundrak 2007-09-21 06:55:04 EDT
Any updates on this? Matej: still interested in results of fc7/devel test? If
yes, please NEEDINFO from me.
Comment 7 Matěj Cepl 2007-10-08 10:30:22 EDT
Well, when ajax thinks it is a problem, I think there is no need to bother you
now. If we need anything in the future, we will let you know.
Comment 8 Bug Zapper 2008-04-03 21:00:57 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 9 Lubomir Kundrak 2008-04-08 04:12:51 EDT
I could no longer reproduce this in Fedora 8.

Note You need to log in before you can comment on or make changes to this bug.